"use client";

import { ReactElement } from "react";
import { Button } from "@/app/components/ui/button";
import { CreateHasteButtonProps } from "@/app/types/create-haste-button";
import { createHaste } from "@/app/common/hastebin";

export function CreateHasteButton({ content }: CreateHasteButtonProps): ReactElement {
  /**
   * Uploads the content to Haste and opens the URL in a new tab.
   */
  async function upload(): Promise<void> {
    const url = await createHaste(content);
    console.log(url);

    // Open the URL in a new tab.
    window.open(url, "_blank", "noopener,noreferrer");
  }

  return <Button onClick={() => upload()}>Create Haste</Button>;
}
